%global gittag v3.15.0

Name:          sasm
Version:       3.15.0
Release:       %autorelease
Summary:       Simple crossplatform IDE for NASM, MASM, GAS, FASM assembly languages

License:       GPL-3.0-or-later
URL:           https://dman95.github.io/SASM/
Source:        https://github.com/Dman95/SASM/archive/%{gittag}/%{name}-%{version}.tar.gz

BuildRequires: desktop-file-utils
BuildRequires: gcc-c++
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Widgets)
Requires:      gcc
Requires:      gdb
Requires:      nasm

%description
SASM (SimpleASM) - simple Open Source crossplatform IDE for NASM, MASM, GAS,
FASM assembly languages. SASM has syntax highlighting and debugger. The
program works out of the box and is great for beginners to learn assembly
language.

%prep
%autosetup -n SASM-%{version}

%build
%qmake_qt5 PREFIX=%{buildroot}/usr
%make_build

%install
%make_install
rm -f %{buildroot}/%{_bindir}/fasm
rm -f %{buildroot}/%{_bindir}/listing

desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

%files
%license COPYING COPYING_RUS
%doc README.txt
%{_docdir}/%{name}/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/*

%changelog
%autochangelog
